strncpy_from_user
Prev | User Space Memory Access | Next

## Name

strncpy_from_user — Copy a NUL terminated string from userspace.

## Synopsis

`long strncpy_from_user (` | char * | dst,
| const char __user * | src,
| long | count`)`;

## Arguments

`dst`

  Destination address, in kernel space. This buffer must be at least `count` bytes long.

`src`

  Source address, in user space.

`count`

  Maximum number of bytes to copy, including the trailing NUL.

## Description

Copies a NUL-terminated string from userspace to kernel space.

On success, returns the length of the string (not including the trailing NUL).

If access to userspace fails, returns -EFAULT (some data may have been copied).

If `count` is smaller than the length of the string, copies `count` bytes and returns `count`.

Prev | Up | Next
__strncpy_from_user | Home | clear_user